Subject: Re: bug#19164: 24.3; Feature request: describe-key-briefly with prefix argument

From: Stefan Kangas <[email-masked]>
Date: Fri, 5 Jul 2019 16:10:13 +0200

Noam Postavsky <[email-masked]> writes:
>
> Stefan Kangas <[email-masked]> writes:
>
> > I think that it makes more sense to display help as the default behaviour rather
> > than inserting the help at point.  The use case for this behaviour is when the
> > user wants to know what a command does in a brief way without showing the
> > help buffer.
>
> I think you've misunderstood the request.  It's about the behaviour when
> describe-key-briefly gets a prefix argument.  *Currently* it inserts
> '<key> runs the command <command-name>'.  The request is to insert just
> '<command-name>'.

I see.  That makes a bit more sense, to be honest.

> > Therefore I'm against making this change.
>
> That said, I'm not really keen on this request either.

Me neither.  Anyone else?

Thanks,
Stefan Kangas